Bug 430071 - Review Request: igraph - Library for creating and manipulating graphs
Review Request: igraph - Library for creating and manipulating graphs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-24 07:21 EST by Neal Becker
Modified: 2014-09-30 15:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:22:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2008-01-24 07:21:10 EST
Spec URL: https://nbecker.dyndns.org/RPM/igraph.spec
SRPM URL: https://nbecker.dyndns.org/RPM/igraph-0.4.5-1.fc8.src.rpm
Description: igraph wants to be an efficient platform for 1) complex network
analysis and 2) developing and implementing graph algorithms. It
provides flexible and efficient data structures for graphs and related
tasks. It also provides implementation to many classic and new graph
algorithms like: maximum flows, graph isomorphism, scale-free
networks, community structure finding, etc.
Comment 1 Parag AN(पराग) 2008-01-28 22:46:41 EST
Changes need
1) summary of -devel should be
   Summary: Development files for igraph

2) Not following shared libs scriptlet
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-d0dbcb7eec27622a21df280009c5b089b02f5bef
   Drop Requires(post): /sbin/ldconfig 

3) follow texinfo scriptlet
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-47896da5fb2662d75deefeb9ba75145a398515db
 missing || : from %post devel

4) -devel is installing .pc file so -devel should 
    Requires:pkgconfig

5) No need of License tag in -devel

6) Description should be written like
igraph wants to be an efficient platform for 
1) complex network analysis and 
2) developing and implementing graph algorithms. 
It provides flexible and efficient data structures for graphs and related
tasks. It also provides implementation to many classic and new graph
algorithms like: maximum flows, graph isomorphism, scale-free
networks, community structure finding, etc.

Provide updated SRPM fixing above issues
  
   
Comment 2 Neal Becker 2008-01-29 06:32:31 EST
Please see new srpm fixing all the above:

https://nbecker.dyndns.org/RPM/igraph-0.4.5-2.fc8.src.rpm
Comment 3 Parag AN(पराग) 2008-01-29 07:18:52 EST
above looks good. 
1)I saw that description also should be changed to
The %{name}-devel package contains the header files and some
documentation needed to develop application with %{name}.

2) You should add examples/simple directory as %doc for igraph-devel. Take care
not to include hidden directory .arch-ids.
Comment 4 Neal Becker 2008-01-29 07:56:59 EST
I believe this addresses all above issues:
https://nbecker.dyndns.org/RPM/igraph-0.4.5-3.fc8.src.rpm
Comment 5 Parag AN(पराग) 2008-01-30 00:15:05 EST
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM. 
- rpmlint is NOT silent for RPM.
igraph-devel.i386: W: wrong-file-end-of-line-encoding
/usr/share/doc/igraph-devel-0.4.5/simple/igraph_write_graph_pajek.out
igraph-devel.i386: W: wrong-file-end-of-line-encoding
/usr/share/doc/igraph-devel-0.4.5/simple/LINKS.NET

+ source files match upstream url
a2f462c3519eb1d49b9c5a4827358e3a  igraph-0.4.5.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ igraph.pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package igraph-0.4.5-3.fc9 ->
  Provides: libigraph.so.0
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4) libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libigraph.so.0
libm.so.6 libm.so.6(GLIBC_2.0) libstdc++.so.6 libstdc++.so.6(CXXABI_1.3)
libstdc++.so.6(GLIBCXX_3.4) rtld(GNU_HASH)
+ Package  igraph-devel-0.4.5-3.fc9 ->
  Requires: igraph = 0.4.5-3.fc9 libigraph.so.0 pkgconfig
+ Not a GUI App.

SHOULD:
   1)change %doc examples/simple to %doc/examples and remove .arch-ids from
examples also.
   This makes more sense for whats simple directory as its parent directory will
then examples.

   2)Good if you provide Makefile also in simple directory.

   3) You can either resolve rpmlint messages by using iconv on those 2 files in
%prep or let it be as its not problematic.


APPROVED.
Comment 6 Neal Becker 2008-01-30 06:00:48 EST
New Package CVS Request
=======================
Package Name: igraph
Short Description: Library for creating and manipulating graphs
Owners: nbecker
Branches: F-7 F-8
InitialCC: panemade@gmail.com
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-01-30 12:20:05 EST
cvs done.
Comment 8 Parag AN(पराग) 2008-01-30 22:12:16 EST
Sorry, But I don't want to be InitialCC here or for any reviews I have done.
Comment 9 Brian Stinson 2014-09-30 12:25:04 EDT
Package Change Request
======================
Package Name: igraph
New Branches: el6 epel7
Owners: pingou bstinson

I would like to co-maintain igraph for EL6 and EL7. I talked to pingou on IRC, and he approved.
Comment 10 Gwyn Ciesla 2014-09-30 15:46:22 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.